SonarRunnerPlugin (Gradle API 2.14.1)
Date: 2016-07-18

org.gradle.sonar.runner.plugins

## Class SonarRunnerPlugin

- java.lang.Object
- - org.gradle.sonar.runner.plugins.SonarRunnerPlugin

- All Implemented Interfaces:
    Plugin<Project>

  Deprecated.
  The 'sonar-runner' plugin has been superseded by the official plugin from SonarQube, please see: http://docs.sonarqube.org/display/SONAR/Analyzing+with+Gradle

      @Deprecated
      public class SonarRunnerPlugin
      extends Object
      implements Plugin<Project>

  A plugin for analyzing projects with the SonarQube Runner.

  When applied to a project, both the project itself and its subprojects will be analyzed (in a single run).

  Please see the “SonarQube Runner Plugin” chapter of the Gradle User Guide for more information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SonarRunnerPlugin()` Deprecated.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `apply(Project project)` Deprecated. Apply this plugin to the given target object.
    `void` | `computeSonarProperties(Project project, Map<String,Object> properties, Map<Project,org.gradle.listener.ActionBroadcast<SonarProperties>> sonarPropertiesActionBroadcastMap)` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SonarRunnerPlugin

          public SonarRunnerPlugin()

      Deprecated.

  - ### Method Detail

    - #### apply

          public void apply(Project project)

      Deprecated.
      Description copied from interface: `Plugin`
      Apply this plugin to the given target object.
      Specified by:
        `apply` in interface `Plugin<Project>`
      Parameters:
        `project` - The target object

    - #### computeSonarProperties

          public void computeSonarProperties(Project project,
                                    Map<String,Object> properties,
                                    Map<Project,org.gradle.listener.ActionBroadcast<SonarProperties>> sonarPropertiesActionBroadcastMap)

      Deprecated.